@charset "utf-8";
/* CSS Document */

.menu  {
	position:relative;
	display: Flex;
	justify-content: center;
	gap: 4cqw;   /* die anstänee zwischen LEISTNGEN .... ÜBER UNS ...... REFERENZEN .... KONTAKT */
	list-style: none;
	margin:  1% 0 0 0;
	padding:0px;
	z-index: 100;

}

.menu ul{
	list-style: none;
	margin: 0;

}

.menu li{
	position: relative;
	padding-bottom: 0px;
	margin-left:0px;
	display: inline-block;
}

.menu a{
	padding: 0px 0 0px 0;
	margin: 0px 0 0px 0;
	font-weight: bold;
	font-family: Arial;
	font-size: 1.2cqw;  /* Schriftgrösse Nanibar   LEISTUNGEN .... KONTAKT */
	display: block;
	padding: 0px 0 0 0px;
	color:#FFF;
	text-decoration: none;
	background-image: none;
}

.menu li a {
    display: block;
}

.menu a::before{

  content: "";
  width: 100%;
  height: 2px;
  position: absolute;
  left: 0;
  bottom: 0;
  transition: 0.5s transform ease;
  transform: scale3d(0,1,1);
  transform-origin: 0% 40%;
  transform-origin: 50% 50%;

 background: #B90020; /* animierte linienien Farbe*/
  
}

.menu a:hover::before{
  transform: scale3d(1,1,1);
}

/* Untermenü */
.submenu {
	display: none;
	position: absolute;
/*	top: 100%; */
	left: 0;
	list-style: none;
	margin: 0px;
	padding: 20px;
    min-width: 10px;
	z-index: 1000;
	background: linear-gradient(10deg,#000,#383838,#000);
}

/* Pulldown menu*/
.submenu li a {
	font-weight: normal;
	font-family: Arial;
	padding-top: 20px;
	padding-right: 0px;
	padding-bottom: 4px;
	padding-left: 0px;
	color: #FFF;
	z-index: 1000;
}

.submenu li a:hover {
	color: #B00023;
}


/* Untermenü beim Überfahren anzeigen */
.menu li:hover .submenu {
	display: Block;
}

.burger{
    display:none;
    position:fixed;
    top:0px;
    left:15px;
    font-size:40px;
    z-index:100;
}	

/* Handy */
@media screen and (max-width: 768px) {
.burger{
	position:fixed;
	display:block;
	text-align:center;
	margin:0px;
	padding:0px;
	z-index: 100;
	color:#FFF;
	font-size: 35px ;
}

.menu{      /* menübox was sich nach unten öffnet bo */
    display:none;
	Position:Absolute;
	top: 50px;
    left:0px;
    flex-direction:column;
    width:40%;
    gap:10px;
    align-items:center;
    text-align:center;
    border:1px solid #000;
    border-radius:15px;
	margin:0px;
	padding-top: 0px;
	background: linear-gradient(10deg,#000,#383838,#000);
	z-index: 1000;
}

.menu a{     /* Text in menu*/
	font-size: 15px;
	text-align:Center;
	border: medium solid #C0C0C0;
    padding:10px;
	z-index: 100;
}

.menu li{
	
    width:90%;
    padding: 10px 10px 10px 10px;    
	text-align:left;
	z-index: 100;
}

.menu.active{

    display:Flex;
    padding-top:50px;
	z-index: 100;
}

.submenu li a {  

	padding-top: 5px;
	padding-right: 0px;
	padding-bottom: 5px;
	padding-left: 0px;
	color:#FFF;
	z-index: 100;
}

 .submenu{
      position:static;
       display:none;
       width:100%;
    	z-index: 100;

    }


.submenu.active{
    display:block;
}

.submenu li{
        padding-left:15px;
			z-index: 100;
}


}

	

